package org.implab.gradle.variants.sources;

import org.implab.gradle.variants.core.Layer;
import org.implab.gradle.variants.core.Variant;
import org.implab.gradle.variants.core.VariantsView.VariantRoleLayer;

public record CompileUnit(Variant variant, Layer layer) {

    public static CompileUnit of(VariantRoleLayer entry) {
        return new CompileUnit(entry.variant(), entry.layer());
    }
}
